-- +------------------------------------------------------------------------------+
-- | 																			  |
-- |		                      WWWWWQ                                          |
-- |		                    9M..~;iTMk                                        |
-- |		                  kM~.  ..,~ioMk                                      |
-- |		                kM=.  ``,"<=vhWK                'MMMMMv               |
-- |		              vM=.  ``,,_~v7jUWK                `***aWY               |
-- |		            vMY.  ``:,__<!jy@K.`              'MMMD=SWY               |
-- |		          /MY.` ``',__<<vn@$.`               M8,<W@MP.`               |
-- |		        /Mh.`  `',__^<vvjFSEMk             MM,~<vWp.`                 |
-- |		      'Mh.`  `-,__|<lvjj@NJCSUMk   vMMMMMMM,,<vM8.`                   |
-- |		    'M#.`  `-,__|<cvxj@@sT<^:/SUMMMS~=*8W^_<<M@WQ                     |
-- |		   M#.`  `.,__;<cvzj%@ss7c'':~>oW5~/+6Ml_^<MMW&.`                     |
-- |		 MMWWMMMU,,_;<rvzj$@es77<^::'?MA~/+GMv,/<&MWW*YM9                     |
-- |		 WW8RSnioM6<rvCj$@XsJ7<<''';Mb~|+GMS,/<6MWW**=<~,                     |
-- |		 WW!!>^,,"vMMMS"?sr<,:,,-;MQ*eMK'|*KMMM!.&Wll__::'?MMMMMMM/           |
-- |		 ..Mg `'':vW5~,'|<"'::'':,~=Mb,lMMM@WWWMM~-,,:::::;*aWWWWW<           |
-- |		   WQ   `':~,''::'::''::';M8,lM4-:~~~~~~~:':::::::~=SWWWWW<           |
-- |		   .~M9   `'':''::''::'':^W%<oW@MMMh+++++,::::::::~=SWWWWW<           |
-- |		     .~Mk   `'':''::''::.~WWMP..':"SMMMMMv++++++^:~=SWWWWW<           |
-- |		       .=Mk   `'::''::..  ....`.-':|i8Wi.8MMMMMM&+>=SWWWWW<           |
-- |		         .=Mv   .'::..  ``  `.-':~^*1QW< `......~MMM@WWWWW<           |
-- |		           .YMv   `.  ``  ``-':~^*16@!.          ...iWWWWW<           |
-- |		            `.YM/   ``    -':~^i16@j.                .....            |
-- |	   	           `.hM/     `.:,^i1K@j.`                                     |
-- |		              vMGsmM' ``-:^>1K@K.`                                    |
-- |		            vMOsT7$W"`--:~1e@K.`                                      |
-- |	    	      /MOsl<~:"~8M^^zl``.`                                        |
-- |		          <WK<~'::` QW11@8                                            |
-- |		           .xM2:` -:&W@@.`                                            |
-- |	    	        `.)MMMMMWW..            	                              |
-- | 																			  |
-- | dISK iN pLACE                                                                |
-- | vERSIONE 0.2.3 Droplet                                                       |
-- | mORA 01052002RCP (R | 20051102RCA)                                           |
-- | (R | 20060508RCA)                                                            |
-- | (R | 20070119RCA)                                                            |
-- +------------------------------------------------------------------------------+
-- | Vengono usate le seguenti costanti:                                          |
-- +------------------------------------------------------------------------------+
-- | KWINXPOSDELTA            - Distanza ascissa tra UpperLeftCorner di due Fin.  |
-- | KWINYPOSDELTA            - Distanza ordinata tra UpperLeftCorner di due Fin. |
-- +------------------------------------------------------------------------------+
-- | Vengono usate le seguenti variabili:                                         |
-- +------------------------------------------------------------------------------+
-- | VRootFolder    		 - Contiene la cartella radice da disporre            |
-- +------------------------------------------------------------------------------+

-- +------------------------------------------------------------------------------+
-- | BGN - Inizializzazioni                                                       |
property KWINXPOSDELTA : 5 -- tipico in Mac OS X 10.4
property KWINYPOSDELTA : 50 -- tipico in Mac OS X 10.4 per utenti NON root
-- | END - Inizializzazioni                                                       |
-- +------------------------------------------------------------------------------+

-- +------------------------------------------------------------------------------+
-- | BGN - Algoritmo principale                                                   |
on open aDroppedFolders
	
	tell application "Finder"
		activate
		
		select window of desktop -- sceglie il Desktop
		copy bounds of container window of desktop to {VDesktopXPos, VDesktopYPos, VDesktopWidth, VDesktopHeight} -- Ottiene posizione e dimensioni del Desktop (dunque funziona su qualunque monitor)
		
		repeat with i from 1 to the count of aDroppedFolders
			set VRootFolder to item i of aDroppedFolders
			
			set VWindowID to make new Finder window to folder VRootFolder -- per essere usate le finestre devono essere aperte!
			
			set position of container window of VRootFolder to {KWINXPOSDELTA, KWINYPOSDELTA} -- imposta la posizione della finestra correntemente trattata			
			
			-- +------------------------------------------------------------------------------+
			-- | 20051102: Dave Lyons suggerisce un WA per far funzionare wIP su 10.4.x       |
			set toolbar visible of Finder window 1 to not toolbar visible of Finder window 1 -- WA: 20051102 by Dave Lyons
			set toolbar visible of Finder window 1 to not toolbar visible of Finder window 1 -- WA: 20051102 by Dave Lyons
			-- +------------------------------------------------------------------------------+	
			close VWindowID
			
		end repeat
	end tell
end open
-- | END - Algoritmo principale                                                   |
-- +------------------------------------------------------------------------------+

-- +----+
-- |\  /|
-- |/\/\|
-- +----+ mora@roam.it